Bug 1467047 - Review Request: nuvola-app-bandcamp - Bandcamp for Nuvola Player 3
Review Request: nuvola-app-bandcamp - Bandcamp for Nuvola Player 3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
https://github.com/tiliado/nuvola-app...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-02 05:17 EDT by mgansser@alice.de
Modified: 2017-07-27 11:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 11:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description mgansser@alice.de 2017-07-02 05:17:08 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvola-app-bandcamp.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvola-app-bandcamp-2.2-1.fc25.src.rpm

Description: Integration of Bandcamp into your linux desktop via Nuvola Player.
Fedora Account System Username: martinkg

rpmlint -i -v nuvola-app-bandcamp.spec /home/martin/rpmbuild/SRPMS/nuvola-app-bandcamp-2.2-1.fc25.src.rpm /home/martin/rpmbuild/RPMS/noarch/nuvola-app-bandcamp-2.2-1.fc25.noarch.rpm
nuvola-app-bandcamp.spec: I: checking
nuvola-app-bandcamp.spec:30: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-bandcamp.spec: I: checking-url https://github.com/tiliado/nuvola-app-bandcamp/archive/2.2.tar.gz#/nuvola-app-bandcamp-2.2.tar.gz (timeout 10 seconds)
nuvola-app-bandcamp.src: I: checking
nuvola-app-bandcamp.src: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-bandcamp.src: I: checking-url https://github.com/tiliado/nuvola-app-bandcamp (timeout 10 seconds)
nuvola-app-bandcamp.src:30: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-bandcamp.src: I: checking-url https://github.com/tiliado/nuvola-app-bandcamp/archive/2.2.tar.gz#/nuvola-app-bandcamp-2.2.tar.gz (timeout 10 seconds)
nuvola-app-bandcamp.noarch: I: checking
nuvola-app-bandcamp.noarch: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-bandcamp.noarch: I: checking-url https://github.com/tiliado/nuvola-app-bandcamp (timeout 10 seconds)
nuvola-app-bandcamp.noarch: W: desktopfile-without-binary /usr/share/applications/eu.tiliado.NuvolaAppBandcamp.desktop nuvola
the .desktop file is for a file not present in the package. You should check
the requires or see if this is not a error

2 packages and 1 specfiles checked; 0 errors, 5 warnings.

%changelog
* Sun Jul 02 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.2-1
- Update to 2.2-1

* Sat Jan 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.1-1
- initial build
Comment 1 Vít Ondruch 2017-07-27 07:05:17 EDT
Let me check this ...
Comment 2 Vít Ondruch 2017-07-27 08:54:18 EDT
Well, everything looks good, but the plugin appdata are wrong (an they are actually wrong for nuvola-app-amazon-cloud-player and I am afraid they are wrong for all other plugins you have submitted for review).

1) The <extends> tag needs to refer to nuvola player desktop file, so this should be the right version:

~~~
<extends>eu.tiliado.Nuvola.desktop</extends>
~~~

2) The <name> tag should be something user readable, so "AppBandcamp" is probably not the best description. I'd say that better would be just "Bandcamp" in this case.

In theory, you should be able to test this using "killall gnome-software; gnome-software --verbose" but for me, the plugins does not show up under the nuvola, but they shows independently :/

I am going to approve the package now, but please resolve this prior importing the package.
Comment 3 mgansser@alice.de 2017-07-27 10:20:00 EDT
@Vit Thanks for the review and the correction

changed now the extends & the name tag for nuvola-app-amazon-cloud-player.metainfo.xml and nuvola-app-bandcamp.metainfo.xml

this is nuvola-app-bandcamp.metainfo.xml

<?xml version="1.0" encoding="UTF-8"?>
<component type="addon">
  <id>eu.tiliado.NuvolaAppBandcamp-Intergration</id>
  <extends>eu.tiliado.Nuvola.desktop</extends>
  <name>Bandcamp</name>
  <summary>Integration of Bandcamp into your linux desktop via Nuvola Player</summary>
  <url type="homepage">https://github.com/tiliado/nuvola-app-bandcamp</url>
  <url type="bugtracker">https://github.com/tiliado/nuvola-app-bandcamp/issues</url>
  <metadata_license>CC0-1.0</metadata_license>
  <project_license>BSD-2-Clause</project_license>
  <updatecontact>martin.gansser@gmail.com</updatecontact>
</component>
Comment 4 Gwyn Ciesla 2017-07-27 10:45:08 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nuvola-app-bandcamp
Comment 5 mgansser@alice.de 2017-07-27 11:33:01 EDT
package has been built successfully on f25, f26 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.